package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class MaterialDTO implements Serializable{
	
	private String materialId;

    private String materialTitle;

    private Integer materialType;

    private String categoryId;

    private String materialContent;

    private Date wxLastUploadTime;

    private String mediaId;
    
    private String mediaid;

    private String wxEnterpriseId;

    private String staffId;

    private String staffName;

    private String imgUrl;
    
    private String wxImgUrl;

    private String materialDesc;

    private Integer statusFlag;

    private String link;

    private Date createTime;

    private Date updateTime;

    private String fromMaterialId = "-1";
    //appid  link路径  img_url 封面图 materialTitle
    private String appId;

    private static final long serialVersionUID = 1L;

    public String getMediaid() {
        return mediaid;
    }

    public void setMediaid(String mediaid) {
        this.mediaid = mediaid;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getFromMaterialId() {
        return fromMaterialId;
    }

    public void setFromMaterialId(String fromMaterialId) {
        this.fromMaterialId = fromMaterialId;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId == null ? null : materialId.trim();
    }

    public String getMaterialTitle() {
        return materialTitle;
    }

    public void setMaterialTitle(String materialTitle) {
        this.materialTitle = materialTitle == null ? null : materialTitle.trim();
    }

    public Integer getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId == null ? null : categoryId.trim();
    }

    public String getMaterialContent() {
        return materialContent;
    }

    public void setMaterialContent(String materialContent) {
        this.materialContent = materialContent == null ? null : materialContent.trim();
    }

    public Date getWxLastUploadTime() {
        return wxLastUploadTime;
    }

    public void setWxLastUploadTime(Date wxLastUploadTime) {
        this.wxLastUploadTime = wxLastUploadTime;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId == null ? null : mediaId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName == null ? null : staffName.trim();
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl == null ? null : imgUrl.trim();
    }

    public String getMaterialDesc() {
        return materialDesc;
    }

    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc == null ? null : materialDesc.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link == null ? null : link.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getWxImgUrl() {
		return wxImgUrl;
	}

	public void setWxImgUrl(String wxImgUrl) {
		this.wxImgUrl = wxImgUrl;
	}
    
    

}
